'use strict';

var assert = require('assert');
var path = require('path');
var findExtensions = require('pluggington');

describe('mdo-cmd-server', function() {

  it('validate all mdo.cli.server.actions extensions', function() {
    var extensions = findExtensions(path.resolve(__dirname, '..', '..'), 'mdo.cli.server.actions');

    extensions.forEach(function (extension) {
        assert.notEqual(extension.export.run, undefined,
          "Did not find a run function in extension named: " + extension.name
        );
        assert.notEqual(extension.export.validate, undefined,
          "Did not find a validate function in extension named: " + extension.name
        );
        assert.notEqual(extension.export.getMainHelp, undefined,
          "Did not find a getMainHelp function in extension named: " + extension.name
        );
        assert.notEqual(extension.export.getHelpFilePath, undefined,
          "Did not find a getHelpFilePath function in extension named: " + extension.name
        );
      }
    );
  });
});
