'use strict';

var assert = require('assert');

describe('mdo-errors', function() {
  it('finds the invalid command error', function() {
    var errors = require('../../mdo-errors');
    var invalidCommand = errors.getError("INVALIDCMD", "duder");

    assert.notEqual(invalidCommand, undefined, "I couldn't find the invalid command error");
    assert.equal(invalidCommand.errno, '110');
    assert.equal(invalidCommand.description, "'duder' is not a valid command. Run 'mfpdev help' for more information.");
  });

  it('validates that all errno values are unique', function() {
    var errors = require('../lib/error-codes');

    var errnos = {};

    for (var key in errors) {
      var current = errors[key].errno;
      if (errnos[current]) {
        assert(false, 'errno value ' + current + ' is used by error keys ' + key + ' and ' + errnos[current] + '. errno values must be unique.');
      } else {
        errnos[current] = key;
      }
    }
  });
});
