'use strict';

// Public modules
var assert = require('assert');
var path = require('path');
var fs = require('fs');

// Private modules
var mbs = require('../../mdo-mbs');

describe('mdo-mbs', function () {
  it('Ensure correct path is returned with MBS contents', function (done) {

    var mbsPath = mbs.getPath();
    assert(mbsPath.indexOf("_MobileBrowserSimulator") !== -1, "Incorrect path was returned");
    try {
      fs.lstatSync(path.join(mbsPath, "index.html"));
      fs.lstatSync(path.join(mbsPath, "cordova.html"));
      fs.lstatSync(path.join(mbsPath, "index.js"));
      fs.lstatSync(path.join(mbsPath, "dojo/ibm_mobile/blank_viewport.html"));
      done();
    }
    catch (err) {
      assert(false, "Incorrect _MobileBrowserSimulator folder");
      done();
    }
  });
});
